function [ additional_content ] = additional_content( p_config )
%LOAD_ADDITIONAL_CONTENT Loads content that is defined in [ADDITIONAL_CONTENT] section of the global configuration file.


%% Initialize return variable
additional_content = {};

%% Load all additional content

ice_cover_location = p_config.ADDITIONAL_CONTENT.antarctic_sea_ice_coverage_file;
grid_location = p_config.ADDITIONAL_CONTENT.antarctic_grid_file;

additional_content.antarctic_latitudes = ...
    hdfread(grid_location, '/Latitudes', 'Index', {[1  1],[1  1],[1328  1264]});
additional_content.antarctic_longitudes = ...
    hdfread(grid_location, '/Longitudes', 'Index', {[1  1],[1  1],[1328  1264]});
additional_content.antarctic_ice_concentration = ...
    hdfread(ice_cover_location, '/ASI Ice Concentration', 'Index', {[1  1],[1  1],[1328  1264]});
% get etopo
[additional_content.etopo_z, additional_content.etopo_refvec] = ...
    etopo(p_config.ADDITIONAL_CONTENT.etopo_file, 1, ...
    p_config.PLOT_OVERVIEW_SOUTH.latitude_limit, ...
    p_config.PLOT_OVERVIEW_SOUTH.longitude_limit);
% load moorings
additional_content.moorings = ...
    nemo.load.moorings(p_config.ADDITIONAL_CONTENT.moorings_file);

end

